El paquete del curso se considera legacy estaría bien actualizarlo ahora que esta en proceso al nuevo paquete.
https://github.com/laravel-json-api/laravel